import React from "react";

const MODERN_OUTPUT_STYLE: React.CSSProperties = {
  fontFamily: "JetBrains Mono, Fira Mono, Menlo, monospace",
  fontSize: 28,
  letterSpacing: 2,
  margin: "2.5rem 0 0.5rem 0",
  minHeight: 38,
  wordBreak: "break-all",
  textAlign: "center",
  color: "#fff",
  background: "rgba(40,40,60,0.18)",
  borderRadius: 10,
  padding: "0.7em 0.5em",
  boxShadow: "0 1px 4px #0002",
  border: "1px solid #23234a33",
};

export function UuidOutput({ output }: { output: string }) {
  // Add subtle color for missing chars
  const missing = 36 - output.length;
  return (
    <div style={MODERN_OUTPUT_STYLE}>
      {output ? (
        <>
          {output}
          {missing > 0 && <span style={{ opacity: 0.3 }}>{"_".repeat(missing)}</span>}
        </>
      ) : (
        <span style={{ opacity: 0.25 }}>
          xxxxxxxx-xxxx-4xxx-yxxx-xxxxxxxxxxxx
        </span>
      )}
    </div>
  );
} 